
if debugMode then

    --[[
        This area is for benchmarking code

    ]]

    
    local tests = {
        --[[{
            name = "<NAME A variant>",
            func = function ()
                -- code you want to run
            end
        },
        {
            name = "<NAME B variant>",
            func = function ()
                -- code you want to run
            end
        }]]

    }

    local benchmark = function (name, func)
        local timeNow = getTickCount()
        for i=1, 100000 do
            func()
        end
        local duration = getTickCount() - timeNow
        outputChatBox(name .. " Duration: " .. duration)
    end

    local theTimer
    theTimer = setTimer(function () 
        local remaining, executesRemaining, timeInterval = getTimerDetails ( theTimer )
        local test = tests[executesRemaining]
        benchmark(test.name, test.func)
    end, 2000, #tests)
end

